require("lazy").setup({
	{ "nvim-lua/plenary.nvim" },
	{
		"ray-x/guihua.lua",
		build = "cd lua/fzy && make",
	},
	{ "neovim/nvim-lspconfig" },
	{
		"arnarg/todotxt.nvim",
		dependencies = { "MunifTanjim/nui.nvim" },
		opts = {
			todo_file = "~/Документы/todo.txt",
		},
	},
	{
		name = "resize",
		dir = "~/.config/nvim/lua/myplugins",
		keys = {
			{
				"<C-S-Left>",
				function()
					require("myplugins.resize").ResizeLeft()
				end,
				silent = true,
			},
			{
				"<C-S-Right>",
				function()
					require("myplugins.resize").ResizeRight()
				end,
				silent = true,
			},
			{
				"<C-S-Up>",
				function()
					require("myplugins.resize").ResizeUp()
				end,
				silent = true,
			},
			{
				"<C-S-Down>",
				function()
					require("myplugins.resize").ResizeDown()
				end,
				silent = true,
			},
		},
	},
	require("plugins.blankline"),
	require("plugins.headlines"),
	require("plugins.lsp_saga"),
	require("plugins.lsp_signature"),
	require("plugins.autosave"),
	require("plugins.cmp"),
	require("plugins.treesitter"),
	require("plugins.tree"),
	require("plugins.conform"),
	require("plugins.dapui"),
	require("plugins.dap"),
	require("plugins.dap_go"),
	require("plugins.go"),
	require("plugins.goimpl"),
	require("plugins.lualine"),
	require("plugins.telescope"),
	require("plugins.columns"),
}, {
	performance = {
		rtp = {
			disabled_plugins = {
				"gzip",
				"matchit",
				"matchparen",
				"netrwPlugin",
				"tarPlugin",
				"tohtml",
				"tutor",
				"zipPlugin",
			},
		},
	},
})
